## openturns 1.23

=== lib/src/Uncertainty/Algorithm/MetaModel/FunctionalChaos/CMakeLists.txt ===
#                                               -*- cmake -*-

# Register current directory files
ot_add_current_dir_to_include_dirs ()

ot_add_source_file (AdaptiveStrategy.cxx)
ot_add_source_file (AdaptiveStrategyImplementation.cxx)
ot_add_source_file (FixedStrategy.cxx)
ot_add_source_file (FunctionalChaosAlgorithm.cxx)
ot_add_source_file (FunctionalChaosResult.cxx)
ot_add_source_file (FunctionalChaosSobolIndices.cxx)
ot_add_source_file (ProjectionStrategy.cxx)
ot_add_source_file (ProjectionStrategyImplementation.cxx)
ot_add_source_file (LeastSquaresExpansion.cxx)
ot_add_source_file (IntegrationExpansion.cxx)
ot_add_source_file (LeastSquaresStrategy.cxx)
ot_add_source_file (IntegrationStrategy.cxx)
ot_add_source_file (CleaningStrategy.cxx)
ot_add_source_file (FieldToPointFunctionalChaosAlgorithm.cxx)
ot_add_source_file (FieldFunctionalChaosResult.cxx)
ot_add_source_file (FieldFunctionalChaosSobolIndices.cxx)
ot_add_source_file (PointToFieldFunctionalChaosAlgorithm.cxx)

ot_install_header_file (IntegrationStrategy.hxx)
ot_install_header_file (FixedStrategy.hxx)
ot_install_header_file (ProjectionStrategyImplementation.hxx)
ot_install_header_file (LeastSquaresExpansion.hxx)
ot_install_header_file (IntegrationExpansion.hxx)
ot_install_header_file (LeastSquaresStrategy.hxx)
ot_install_header_file (FunctionalChaosAlgorithm.hxx)
ot_install_header_file (OTFunctionalChaos.hxx)
ot_install_header_file (AdaptiveStrategyImplementation.hxx)
ot_install_header_file (ProjectionStrategy.hxx)
ot_install_header_file (CleaningStrategy.hxx)
ot_install_header_file (FunctionalChaosResult.hxx)
ot_install_header_file (FunctionalChaosSobolIndices.hxx)
ot_install_header_file (AdaptiveStrategy.hxx)
ot_install_header_file (FieldToPointFunctionalChaosAlgorithm.hxx)
ot_install_header_file (FieldFunctionalChaosResult.hxx)
ot_install_header_file (FieldFunctionalChaosSobolIndices.hxx)
ot_install_header_file (PointToFieldFunctionalChaosAlgorithm.hxx)
