=== debian/changelog ===
openturns (1.23-5) unstable; urgency=medium

  * Deactivating again Dlib-related tests:
    - on riscv64
    - on loong64, thanks to wuruilong! (Closes: #1071019)

 -- Pierre Gruet <pgt@debian.org>  Tue, 27 Aug 2024 22:13:35 +0200

openturns (1.23-5~exp0) experimental; urgency=medium

  * Enabling again Dlib-related tests, which should pass against dlib/19.24.4

 -- Pierre Gruet <pgt@debian.org>  Mon, 24 Jun 2024 07:45:25 +0200

openturns (1.23-4) unstable; urgency=medium

  * Deactivating EfficientGlobalOptimization_std test on armel

 -- Pierre Gruet <pgt@debian.org>  Sun, 16 Jun 2024 13:58:00 +0200

openturns (1.23-3) unstable; urgency=medium

  * Upload to unstable of new upstream version, building against Python 3.12 is
    now possible (Closes: #1061603)
  * Allowing the package to build on loong64, thanks to wuruilong for the patch

 -- Pierre Gruet <pgt@debian.org>  Sat, 15 Jun 2024 15:29:01 +0200

openturns (1.23-2) experimental; urgency=medium

  * Fixing t_Bonmin_std Python test with a limit for a number of iterations

 -- Pierre Gruet <pgt@debian.org>  Thu, 13 Jun 2024 11:33:42 +0200

openturns (1.23-1) experimental; urgency=medium

  * New upstream version 1.23
  * Updating (build-)dependencies
  * Bumping SONAME to libopenturns0.24
  * Updating d/copyright
  * Raising Standards version to 4.7.0 (no change)
  * Fixing minor spelling mistakes

 -- Pierre Gruet <pgt@debian.org>  Mon, 10 Jun 2024 21:37:42 +0200

openturns (1.22-2) experimental; urgency=medium

  * Skipping more tests failing due to Dlib bugs on some arches

 -- Pierre Gruet <pgt@debian.org>  Wed, 06 Mar 2024 07:56:29 +0100

openturns (1.22-1) experimental; urgency=medium

  * New upstream version 1.22
  * Raising SONAME to libOT0.23, new binary package
  * Removing patch, which has been upstreamed
  * Updating d/not-installed

 -- Pierre Gruet <pgt@debian.org>  Tue, 30 Jan 2024 12:56:54 +0100

openturns (1.21.1-5) unstable; urgency=medium

  * Fixing FTBFS linked to new version of swig (Closes: #1064928)

 -- Pierre Gruet <pgt@debian.org>  Thu, 18 Apr 2024 23:14:42 +0200
